## python-cpl 0.7.2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = PYTHONPATH=.. sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/None.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/None.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-cpl 0.3.5.1

=== debian/changelog ===
python-cpl (0.3.5.1-1) unstable; urgency=low

  * New package. Closes: #641636

 -- Ole Streicher <debian@liska.ath.cx>  Thu, 10 Nov 2011 17:52:00 +0100

=== debian/control ===
Source: python-cpl
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <debian@liska.ath.cx>
Build-Depends: python-all-dev (>= 2.6.6-3~), debhelper (>= 7.0.50~), 
 dh-autoreconf, libcpl-dev (>= 5.1.0), python-numpy, python-pyfits
X-Python-Version: >= 2.6
Standards-Version: 3.9.2
Homepage: http://www.aip.de/~oles/python-cpl/index.html
Vcs-Git: git://git.debian.org/git/debian-science/packages/python-cpl.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/python-cpl.git

Package: python-cpl
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Suggests: gdb
Description: Control pipeline recipes from the European Southern Observatory
 This module can list, configure and execute CPL-based recipes from Python.
 The input, calibration and output data can be specified as FITS files
 or as pyfits objects in memory.
 .
 The Common Pipeline Library (CPL) comprises a set of ISO-C libraries that
 provide a comprehensive, efficient and robust software toolkit. It forms a
 basis for the creation of automated astronomical data-reduction tasks.
 .
 One of the features provided by the CPL is the ability to create
 data-reduction algorithms that run as plugins (dynamic libraries). These are
 called "recipes" and are one of the main aspects of the CPL data-reduction
 development environment.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 

build_test_recipe:
	(cd test/iiinstrumentp && ./bootstrap && ./configure && make)

override_dh_auto_test: build_test_recipe
	for PYTHON in $(shell pyversions -r); do \
	    $$PYTHON setup.py build_ext -i && \
	    MALLOC_CHECK_=0 PYTHONPATH=$$(pwd) $$PYTHON test/TestRecipe.py \
	        || exit $$? ; \
	done

## python-cpl 0.3.6

=== debian/changelog ===
python-cpl (0.3.6-1) unstable; urgency=low

  * New upstream release
  * Add Multi-Arch default plugin directory. Python-cpl itself is,
    however, not multi-arch.
  * Set DM-Upload-Allowed
  * Disable tests that try to crash recipe. Fixes FTBS on armel, mips, mipsel

 -- Ole Streicher <debian@liska.ath.cx>  Fri, 22 Jun 2012 09:52:50 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,16 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <debian@liska.ath.cx>
-Build-Depends: python-all-dev (>= 2.6.6-3~), debhelper (>= 7.0.50~), 
- dh-autoreconf, libcpl-dev (>= 5.1.0), python-numpy, python-pyfits
-X-Python-Version: >= 2.6
-Standards-Version: 3.9.2
+DM-Upload-Allowed: yes
+Build-Depends: debhelper (>= 7.0.50~),
+               dh-autoreconf,
+               libcpl-dev (>= 6),
+               python-all-dev (>= 2.6.6-3~),
+               python-numpy,
+               python-pyfits,
+               python-support
+XS-Python-Version: >= 2.6
+Standards-Version: 3.9.3
 Homepage: http://www.aip.de/~oles/python-cpl/index.html
 Vcs-Git: git://git.debian.org/git/debian-science/packages/python-cpl.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/python-cpl.git
@@ -27,4 +33,4 @@
  One of the features provided by the CPL is the ability to create
  data-reduction algorithms that run as plugins (dynamic libraries). These are
  called "recipes" and are one of the main aspects of the CPL data-reduction
- development environment. 
+ development environment.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #!/usr/bin/make -f
 
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
 %:
-	dh $@ --with python2 
+	dh $@
 
 build_test_recipe:
 	(cd test/iiinstrumentp && ./bootstrap && ./configure && make)
@@ -12,3 +14,11 @@
 	    MALLOC_CHECK_=0 PYTHONPATH=$$(pwd) $$PYTHON test/TestRecipe.py \
 	        || exit $$? ; \
 	done
+
+override_dh_install:
+	dh_install
+	find debian -name recipes.py -exec sed s+DEB_HOST_MULTIARCH+$(DEB_HOST_MULTIARCH)+g -i {} \;
+
+override_dh_shlibdeps:
+	dh_shlibdeps
+	dh_numpy

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3
http://www.aip.de/~oles/python-cpl/install.html python-cpl-([0-9].*)\.tar\.gz debian debian/download_tests.sh

## python-cpl 0.4

=== debian/changelog ===
python-cpl (0.4-1) unstable; urgency=low

  * New upstream release

 -- Ole Streicher <debian@liska.ath.cx>  Mon, 26 Nov 2012 12:00:24 +0100

python-cpl (0.3.8-1) unstable; urgency=low

  * New upstream release

 -- Ole Streicher <debian@liska.ath.cx>  Mon, 15 Oct 2012 15:27:47 +0200

python-cpl (0.3.7-1) unstable; urgency=low

  * New upstream release

 -- Ole Streicher <debian@liska.ath.cx>  Fri, 14 Sep 2012 14:58:46 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~),
                dh-autoreconf,
-               libcpl-dev (>= 6),
+               libcpl-dev,
                python-all-dev (>= 2.6.6-3~),
                python-numpy,
                python-pyfits,
                python-support
 XS-Python-Version: >= 2.6
 Standards-Version: 3.9.3
-Homepage: http://www.aip.de/~oles/python-cpl/index.html
+Homepage: http://packages.python.org/python-cpl/index.html
 Vcs-Git: git://git.debian.org/git/debian-science/packages/python-cpl.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/python-cpl.git

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
CFLAGS += -Werror=format-security

%:
	dh $@

build_test_recipe:
	(cd test/iiinstrumentp && ./bootstrap && ./configure && make CPPFLAGS="$$CPPFLAGS -D_XOPEN_SOURCE=500")

override_dh_auto_test: build_test_recipe
	for PYTHON in $(shell pyversions -r); do \
	    $$PYTHON setup.py build_ext -i && \
	    MALLOC_CHECK_=0 PYTHONPATH=$$(pwd) $$PYTHON test/TestRecipe.py \
	        || exit $$? ; \
	done

override_dh_install:
	dh_install
	find debian -name recipe.py -exec sed s+DEB_HOST_MULTIARCH+$(DEB_HOST_MULTIARCH)+g -i {} \;

override_dh_shlibdeps:
	dh_shlibdeps
	dh_numpy

## python-cpl 0.5

=== debian/changelog ===
python-cpl (0.5-1) unstable; urgency=low

  * New upstream release

 -- Ole Streicher <debian@liska.ath.cx>  Thu, 28 Mar 2013 17:52:12 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <debian@liska.ath.cx>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~),
                dh-autoreconf,
                libcpl-dev,

=== debian/rules ===
--- 
+++ 
@@ -9,12 +9,14 @@
 build_test_recipe:
 	(cd test/iiinstrumentp && ./bootstrap && ./configure && make CPPFLAGS="$$CPPFLAGS -D_XOPEN_SOURCE=500")
 
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test: build_test_recipe
 	for PYTHON in $(shell pyversions -r); do \
 	    $$PYTHON setup.py build_ext -i && \
 	    MALLOC_CHECK_=0 PYTHONPATH=$$(pwd) $$PYTHON test/TestRecipe.py \
 	        || exit $$? ; \
 	done
+endif
 
 override_dh_install:
 	dh_install

## python-cpl 0.6.1

=== debian/changelog ===
python-cpl (0.6.1-1) unstable; urgency=low

  * New upstream release

 -- Ole Streicher <debian@liska.ath.cx>  Wed, 06 Nov 2013 18:29:34 +0100

python-cpl (0.6-1) unstable; urgency=low

  * New upstream release

 -- Ole Streicher <debian@liska.ath.cx>  Sun, 03 Nov 2013 19:58:22 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
                dh-autoreconf,
                libcpl-dev,
                python-all-dev (>= 2.6.6-3~),
-               python-numpy,
+               python-pkg-resources,
+	       python-numpy,
                python-pyfits,
                python-support
 XS-Python-Version: >= 2.6
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://packages.python.org/python-cpl/index.html
 Vcs-Git: git://git.debian.org/git/debian-science/packages/python-cpl.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/python-cpl.git

## python-cpl 0.6.2

=== debian/changelog ===
python-cpl (0.6.2-2) unstable; urgency=low

  * Fix implicit declaration on kfreebsd

 -- Ole Streicher <debian@liska.ath.cx>  Wed, 19 Mar 2014 08:59:41 +0100

python-cpl (0.6.2-1) unstable; urgency=low

  * New upstream release
  * Set standards version to 3.9.5. No changes needed.
  * Update debian/compat to 9.

 -- Ole Streicher <debian@liska.ath.cx>  Tue, 18 Mar 2014 12:07:23 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <debian@liska.ath.cx>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                libcpl-dev,
                python-all-dev (>= 2.6.6-3~),
@@ -12,10 +12,10 @@
                python-pyfits,
                python-support
 XS-Python-Version: >= 2.6
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://packages.python.org/python-cpl/index.html
-Vcs-Git: git://git.debian.org/git/debian-science/packages/python-cpl.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/python-cpl.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/python-cpl.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/python-cpl.git
 
 Package: python-cpl
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,7 @@
 #!/usr/bin/make -f
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-CFLAGS += -Werror=format-security
-
 %:
-	dh $@
+	dh $@ --with python2
 
 build_test_recipe:
 	(cd test/iiinstrumentp && ./bootstrap && ./configure && make CPPFLAGS="$$CPPFLAGS -D_XOPEN_SOURCE=500")

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3
http://pypi.python.org/pypi/python-cpl .+/python-cpl-([0-9].*)\.tar\.gz debian debian/download_tests.sh

## python-cpl 0.7

=== debian/changelog ===
python-cpl (0.7-4build2) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 13:55:49 +0000

python-cpl (0.7-4build1) xenial; urgency=medium

  * No-change rebuild for python3 defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Oct 2015 19:38:33 +0000

python-cpl (0.7-4) unstable; urgency=low

  * Redirect stderr to stdout in CI test

 -- Ole Streicher <olebole@debian.org>  Wed, 10 Jun 2015 08:46:10 +0200

python-cpl (0.7-3) unstable; urgency=low

  * Fix multiarch default path

 -- Ole Streicher <olebole@debian.org>  Wed, 27 May 2015 22:00:01 +0200

python-cpl (0.7-2) unstable; urgency=low

  * Explicitly depend on astropy | pyfits
  * Fix copyright short name in debian/copyright

 -- Ole Streicher <olebole@debian.org>  Mon, 25 May 2015 10:04:28 +0200

python-cpl (0.7-1) unstable; urgency=low

  * New upstream version
  * Build python3 package
  * Create CI tests

 -- Ole Streicher <olebole@debian.org>  Tue, 28 Apr 2015 13:13:45 +0200

python-cpl (0.6.2-4) unstable; urgency=low

  * Change maintainer and VCS to debian-astro

 -- Ole Streicher <olebole@debian.org>  Thu, 09 Oct 2014 20:27:46 +0200

python-cpl (0.6.2-3) unstable; urgency=low

  * Convert from python-support to dh_python
  * Update maintainers e-mail address
  * Update standards version to 3.9.6. No changes needed.
  * Build-depend on libtool-bin. Closes: #761784.

 -- Ole Streicher <olebole@debian.org>  Thu, 09 Oct 2014 15:33:56 +0200

## python-cpl 0.7.2

=== debian/changelog ===
python-cpl (0.7.2-1build2) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 18:41:14 +0000

python-cpl (0.7.2-1build1) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 07 Jun 2017 16:38:39 -0700

python-cpl (0.7.2-1) unstable; urgency=low

  * New upstream version

 -- Ole Streicher <olebole@debian.org>  Mon, 22 Feb 2016 09:50:24 +0100

=== debian/control ===
Source: python-cpl
Section: python
Priority: optional
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               libcpl-dev,
               python-all-dev (>= 2.6.6-3~),
               python-astropy,
               python-numpy,
               python-pkg-resources,
               python3-all-dev,
               python3-astropy,
               python3-numpy,
               python3-pkg-resources
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Standards-Version: 3.9.6
Homepage: http://packages.python.org/python-cpl/index.html
Vcs-Git: git://anonscm.debian.org/debian-astro/packages/python-cpl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-astro/packages/python-cpl.git

Package: python-cpl
Architecture: any
Depends: python-astropy | python-pyfits,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Suggests: gdb
Description: Control pipeline recipes from the European Southern Observatory
 This module can list, configure and execute CPL-based recipes from Python3.
 The input, calibration and output data can be specified as FITS files
 or as pyfits objects in memory.
 .
 The Common Pipeline Library (CPL) comprises a set of ISO-C libraries that
 provide a comprehensive, efficient and robust software toolkit. It forms a
 basis for the creation of automated astronomical data-reduction tasks.
 .
 One of the features provided by the CPL is the ability to create
 data-reduction algorithms that run as plugins (dynamic libraries). These are
 called "recipes" and are one of the main aspects of the CPL data-reduction
 development environment.

Package: python3-cpl
Architecture: any
Depends: python3-astropy | python3-pyfits,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: gdb
Description: Control pipeline recipes from the ESO (Python3)
 This module can list, configure and execute CPL-based recipes from Python3.
 The input, calibration and output data can be specified as FITS files
 or as pyfits objects in memory.
 .
 The Common Pipeline Library (CPL) comprises a set of ISO-C libraries that
 provide a comprehensive, efficient and robust software toolkit. It forms a
 basis for the creation of automated astronomical data-reduction tasks.
 .
 One of the features provided by the CPL is the ability to create
 data-reduction algorithms that run as plugins (dynamic libraries). These are
 called "recipes" and are one of the main aspects of the CPL data-reduction
 development environment.

=== debian/rules ===
#!/usr/bin/make -f

PYTHON2:=$(shell pyversions -vr)
PYTHON3:=$(shell py3versions -vr)

export PYBUILD_NAME=cpl
export http_proxy = http://127.0.9.1:9

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	for PYTHON in $(PYTHON2) $(PYTHON3); do \
	    python$$PYTHON setup.py build_ext -i && \
	    MALLOC_CHECK_=0 PYTHONPATH=$$(pwd) python$$PYTHON test/TestRecipe.py \
	        || exit $$? ; \
	done
endif

override_dh_install:
	dh_install
	find debian -name recipe.py -exec sed s+DEB_HOST_MULTIARCH+$(DEB_HOST_MULTIARCH)+g -i {} \;

override_dh_shlibdeps:
	dh_shlibdeps
	dh_numpy
	dh_numpy3

=== debian/tests/control ===
Tests: python-cpl
Depends: python-cpl, libcpl-dev, autoconf, automake, libtool

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/python-cpl/python-cpl-([0-9].+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-cpl 0.7.3

=== debian/changelog ===
python-cpl (0.7.3-1) unstable; urgency=low

  * Add ASCL Id
  * Update VCS fields to use salsa.d.o
  * Switch to gbp patch handling
  * Push Standards-Version to 4.2.0. Change URLs to https
  * Push compat to 11
  * Add Python 3 test
  * New upstream version 0.7.3. Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 10 Aug 2018 12:31:51 +0200

=== debian/control ===
--- 
+++ 
@@ -3,27 +3,27 @@
 Priority: optional
 Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-python,
                libcpl-dev,
                python-all-dev (>= 2.6.6-3~),
                python-astropy,
                python-numpy,
                python-pkg-resources,
+               python-setuptools,
                python3-all-dev,
                python3-astropy,
                python3-numpy,
-               python3-pkg-resources
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
-Standards-Version: 3.9.6
-Homepage: http://packages.python.org/python-cpl/index.html
-Vcs-Git: git://anonscm.debian.org/debian-astro/packages/python-cpl.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-astro/packages/python-cpl.git
+               python3-pkg-resources,
+               python3-setuptools
+Standards-Version: 4.2.0
+Homepage: https://pypi.org/project/python-cpl/
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/python-cpl
+Vcs-Git: https://salsa.debian.org/debian-astro-team/python-cpl.git
 
 Package: python-cpl
 Architecture: any
-Depends: python-astropy | python-pyfits,
+Depends: python-astropy,
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
@@ -31,7 +31,7 @@
 Description: Control pipeline recipes from the European Southern Observatory
  This module can list, configure and execute CPL-based recipes from Python3.
  The input, calibration and output data can be specified as FITS files
- or as pyfits objects in memory.
+ or as astropy fits objects in memory.
  .
  The Common Pipeline Library (CPL) comprises a set of ISO-C libraries that
  provide a comprehensive, efficient and robust software toolkit. It forms a
@@ -44,7 +44,7 @@
 
 Package: python3-cpl
 Architecture: any
-Depends: python3-astropy | python3-pyfits,
+Depends: python3-astropy,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
@@ -52,7 +52,7 @@
 Description: Control pipeline recipes from the ESO (Python3)
  This module can list, configure and execute CPL-based recipes from Python3.
  The input, calibration and output data can be specified as FITS files
- or as pyfits objects in memory.
+ or as astropy fits objects in memory.
  .
  The Common Pipeline Library (CPL) comprises a set of ISO-C libraries that
  provide a comprehensive, efficient and robust software toolkit. It forms a

=== debian/tests/control ===
Tests: python-cpl
Depends: python-cpl, libcpl-dev, autoconf, automake, libtool

Tests: python3-cpl
Depends: python3-cpl, libcpl-dev, autoconf, automake, libtool

## python-cpl 0.7.4

=== debian/changelog ===
python-cpl (0.7.4-4build4) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 17:50:26 +0000

python-cpl (0.7.4-4build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 16:08:26 +0000

python-cpl (0.7.4-4build2) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 31 Jan 2025 09:40:18 +0000

python-cpl (0.7.4-4build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Nov 2024 06:16:41 +0100

python-cpl (0.7.4-4) unstable; urgency=medium

  * Team upload.

  [ Phil Wyett ]
  * 'd/clean': Modify 'cpl/CPL_recipe.so' to 'cpl/CPL_recipe*.so'.
    - Allow for python version specific naming. (Closes: #1046204)
  * 'd/rules': Add hardening 'all'.
  * 'd/watch': Use version 4.

  [ Ole Streicher ]
  * Add gitlab-ci.yml for Debian

 -- Phil Wyett <philip.wyett@kathenas.org>  Wed, 09 Oct 2024 04:59:31 +0100

python-cpl (0.7.4-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

  [ Ole Streicher ]
  * Remove build dependency python3-pkg-resources (Closes: #1083622)
  * Push Standards-Version to 4.7.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Fri, 04 Oct 2024 12:35:25 +0200

python-cpl (0.7.4-2) unstable; urgency=low

  * Remove Python 2 package

 -- Ole Streicher <olebole@debian.org>  Sun, 09 Dec 2018 14:21:14 +0100

python-cpl (0.7.4-1) unstable; urgency=low

  * New upstream version 0.7.4
  * Push Standards-Version to 4.2.1. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Tue, 06 Nov 2018 08:34:14 +0100

=== debian/control ===
Source: python-cpl
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               libcpl-dev,
               python3-all-dev,
               python3-astropy,
               python3-numpy,
               python3-setuptools
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian-astro-team/python-cpl
Vcs-Git: https://salsa.debian.org/debian-astro-team/python-cpl.git
Homepage: https://pypi.org/project/python-cpl/

Package: python3-cpl
Architecture: any
Depends: python3-astropy,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: gdb
Description: Control pipeline recipes from the ESO (Python3)
 This module can list, configure and execute CPL-based recipes from Python3.
 The input, calibration and output data can be specified as FITS files
 or as astropy fits objects in memory.
 .
 The Common Pipeline Library (CPL) comprises a set of ISO-C libraries that
 provide a comprehensive, efficient and robust software toolkit. It forms a
 basis for the creation of automated astronomical data-reduction tasks.
 .
 One of the features provided by the CPL is the ability to create
 data-reduction algorithms that run as plugins (dynamic libraries). These are
 called "recipes" and are one of the main aspects of the CPL data-reduction
 development environment.

=== debian/rules ===
#!/usr/bin/make -f

# For c/cpp elements within package.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

PYTHON3:=$(shell py3versions -vr)

export PYBUILD_NAME=cpl

%:
	dh $@ --with python3 --buildsystem=pybuild

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	for PYTHON in $(PYTHON3); do \
	    python$$PYTHON setup.py build_ext -i && \
	    MALLOC_CHECK_=0 PYTHONPATH=$$(pwd) python$$PYTHON test/TestRecipe.py \
	        || exit $$? ; \
	done
endif

override_dh_install:
	dh_install
	find debian -name recipe.py -exec sed s+DEB_HOST_MULTIARCH+$(DEB_HOST_MULTIARCH)+g -i {} \;

override_dh_shlibdeps:
	dh_shlibdeps
	dh_numpy3
